/*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * 	Script:	monthlyrecsdata2.js
 * 	Role:	Collect and insert data into
 * 			monthly records page.
 * 			Uses data attributes rather than ID
 *  Based on monthlyrecsdata.js
 * 	V:		3.0.0
 * 	Author:	Neil cmxData
 * 	Edited:	23-06-2023 11:40
 * 	Checked:23-06-2023 11:40
 *  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*/

// Last modified: 2022/07/27 15:35:57

$( function() {
	dataLoadedPromise.then( function() {
		var yesterday = new Date();
		yesterday.setDate(yesterday.getDate() - 1);
		console.log("Month: " + yesterday.getMonth());
		changeData(yesterday.getMonth());
		$('#btnMon' + yesterday.getMonth()).attr('aria-pressed', true).addClass('ow-theme-sub4');
	});
});

var monthnames = new Array("January","February","March","April","May","June","July","August","September","October","November","December");

function changeData(month) {
	console.log("Parameter: " + month)
	$('[data-cmxData="MonthName"]').html( monthnames[month] );
	$('[data-cmxData="TempH"]').html( cmxData.monthlyrecs.hightemp[month] );
	$('[data-cmxData="TempHT"]').html( cmxData.monthlyrecs.hightempT[month]);

	$('[data-cmxData="TempL"]').html( cmxData.monthlyrecs.lowtemp[month]);
	$('[data-cmxData="TempLT"]').html( cmxData.monthlyrecs.lowtempT[month]);
	$('[data-cmxData="DewPointH"]').html( cmxData.monthlyrecs.highDP[month]);
	$('[data-cmxData="DewPointHT"]').html(cmxData.monthlyrecs.highDPT[month]);

	$("[data-cmxData='DewPointL']").html( cmxData.monthlyrecs.lowDP[month]);
	$("[data-cmxData='DewPointLT']").html( cmxData.monthlyrecs.lowDPT[month]);
	$("[data-cmxData='AppTempH']").html( cmxData.monthlyrecs.highapptemp[month]);
	$("[data-cmxData='AppTempHT']").html( cmxData.monthlyrecs.highapptempT[month]);
	$("[data-cmxData='AppTempL']").html( cmxData.monthlyrecs.lowapptemp[month]);
	$("[data-cmxData='AppTempLT']").html( cmxData.monthlyrecs.lowapptempT[month]);
	$("[data-cmxData='FeelsLikeH']").html( cmxData.monthlyrecs.highfeelslike[month]);
	$("[data-cmxData='FeelsLikeHT']").html( cmxData.monthlyrecs.highfeelslikeT[month]);
	$("[data-cmxData='FeelsLikeL']").html( cmxData.monthlyrecs.lowfeelslike[month]);
	$("[data-cmxData='FeelsLikeLT']").html( cmxData.monthlyrecs.lowfeelslikeT[month]);
	$("[data-cmxData='WChillL']").html( cmxData.monthlyrecs.lowchill[month]);

	$("[data-cmxData='WChillLT']").html( cmxData.monthlyrecs.lowchillT[month]);
	$("[data-cmxData='HeatIndexH']").html( cmxData.monthlyrecs.highheatindex[month]);
	$("[data-cmxData='HeatIndexHT']").html( cmxData.monthlyrecs.highheatindexT[month]);

	$("[data-cmxData='MinTempH']").html( cmxData.monthlyrecs.highmintemp[month]);
	$("[data-cmxData='MinTempHT']").html( cmxData.monthlyrecs.highmintempT[month]);

	$("[data-cmxData='MaxTempL']").html( cmxData.monthlyrecs.lowmaxtemp[month]);
	$("[data-cmxData='MaxTempLT']").html( cmxData.monthlyrecs.lowmaxtempT[month]);

	$("[data-cmxData='HumH']").html( cmxData.monthlyrecs.highhum[month]);
	$("[data-cmxData='HumHT']").html( cmxData.monthlyrecs.highhumT[month]);
	$("[data-cmxData='HumL']").html( cmxData.monthlyrecs.lowhum[month]);
	$("[data-cmxData='HumLT']").html( cmxData.monthlyrecs.lowhumT[month]);

	$("[data-cmxData='HighDailyTempRange']").html( cmxData.monthlyrecs.hightemprange[month]);
	$("[data-cmxData='HighDailyTempRangeT']").html( cmxData.monthlyrecs.hightemprangeT[month]);
	$("[data-cmxData='LowDailyTempRange']").html( cmxData.monthlyrecs.lowtemprange[month]);
	$("[data-cmxData='LowDailyTempRangeT']").html( cmxData.monthlyrecs.lowtemprangeT[month]);

	$("[data-cmxData='RainRateH']").html( cmxData.monthlyrecs.rainrate[month]);
	$("[data-cmxData='RainRateHT']").html( cmxData.monthlyrecs.rainrateT[month]);
	$("[data-cmxData='HourlyRainH']").html( cmxData.monthlyrecs.hourlyrain[month]);
	$("[data-cmxData='HourlyRainHT']").html( cmxData.monthlyrecs.hourlyrainT[month]);
	$("[data-cmxData='Rain24HourH']").html( cmxData.monthlyrecs.rain24h[month]);
	$("[data-cmxData='Rain24HourHT']").html( cmxData.monthlyrecs.rain24hT[month]);
	$("[data-cmxData='DailyRainH']").html( cmxData.monthlyrecs.dailyrain[month]);
	$("[data-cmxData='DailyRainHT']").html( cmxData.monthlyrecs.dailyrainT[month]);
	$("[data-cmxData='MonthlyRainH']").html( cmxData.monthlyrecs.monthlyrain[month]);
	$("[data-cmxData='MonthlyRainHT']").html( cmxData.monthlyrecs.monthlyrainT[month]);
	$("[data-cmxData='LongestDryPeriod']").html( cmxData.monthlyrecs.dryperiod[month]);
	$("[data-cmxData='LongestDryPeriodT']").html( cmxData.monthlyrecs.dryperiodT[month]);
	$("[data-cmxData='LongestWetPeriod']").html( cmxData.monthlyrecs.wetperiod[month]);
	$("[data-cmxData='LongestWetPeriodT']").html( cmxData.monthlyrecs.wetperiodT[month]);
	$("[data-cmxData='GustH']").html( cmxData.monthlyrecs.highgust[month]);
	$("[data-cmxData='GustHT']").html( cmxData.monthlyrecs.highgustT[month]);
	$("[data-cmxData='WindH']").html( cmxData.monthlyrecs.highwind[month]);
	$("[data-cmxData='WindHT']").html( cmxData.monthlyrecs.highwindT[month]);
	$("[data-cmxData='WindRunH']").html( cmxData.monthlyrecs.highwindrun[month]);
	$("[data-cmxData='WindRunHT']").html( cmxData.monthlyrecs.highwindrunT[month]);
	$("[data-cmxData='PressL']").html( cmxData.monthlyrecs.lowpress[month]);
	$("[data-cmxData='PressLT']").html( cmxData.monthlyrecs.lowpressT[month]);
	$("[data-cmxData='PressH']").html( cmxData.monthlyrecs.highpress[month]);
	$("[data-cmxData='PressHT']").html( cmxData.monthlyrecs.highpressT[month]);
	$('#btnArray').children('button').attr("aria-pressed", false).removeClass('ow-theme-sub4');
	$('#btnMon' + month).attr('aria-pressed', true).addClass('ow-theme-sub4');
}
